!(function ($, window, document, _undefined) {
	'use strict';

	// Open social media row in hesn page
	XF.QuranRunAudio = XF.Element.newHandler({
		options: {},

		init: function () {
			this.$target.on('click', XF.proxy(this, 'RunAudio'));
		},

		RunAudio: function (e) {
			e.preventDefault();
			var t = this;
			var suraId = t.$target[0].dataset.id;
			var serverPath = t.$target[0].dataset.server;
			var targetDiv = document.getElementById('sound');
			var targetAudio = document.querySelector('.sourceSura');
			var downloadSura = document.querySelector('.download-sura');
			var templateAudio = `<source src="${serverPath}/${suraId}.mp3" type="audio/mpeg">
            Your browser does not support the audio element.`;
			targetDiv.classList.remove('d-none');
			targetAudio.innerHTML = templateAudio;
			targetAudio.load();
			downloadSura.href = serverPath + '/' + suraId + '.mp3';

			console.log(targetAudio);
		},
	});

	XF.Element.register('quran-run-audio', 'XF.QuranRunAudio');
})(jQuery, window, document);
